Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.service
Class ServiceCompositeMessageSource

    java.lang.Object
      org.mule.source.StartableCompositeMessageSource
          org.mule.service.ServiceCompositeMessageSource

All Implemented Interfaces:
  FlowConstructAware, Initialisable, Startable, Stoppable, RouterStatisticsRecorder, CompositeMessageSource, MessageSource

Direct Known Subclasses:
  ServiceAsyncReplyCompositeMessageSource

    public class ServiceCompositeMessageSource

extends StartableCompositeMessageSource
implements Initialisable, RouterStatisticsRecorder

Extension of `StartableCompositeMessageSource` which adds message processors between the composite source and the target listener

Field Summary
`protected MessageProcessor` | `catchAllStrategy`
`protected List<InboundEndpoint>` | `endpoints`
`protected List<MessageProcessor>` | `processors`
`protected RouterStatistics` | `statistics`

Fields inherited from class org.mule.source.StartableCompositeMessageSource
`flowConstruct, listener, log, sources, started, starting`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`ServiceCompositeMessageSource()`

Method Summary
`void` | `addMessageProcessor(MessageProcessor processor)`
`void` | `addSource(MessageSource source)`
`protected void` | `createMessageProcessorChain()`
`MessageProcessor` | `getCatchAllStrategy()`
`InboundEndpoint` | `getEndpoint(String name)`
`List<InboundEndpoint>` | `getEndpoints()`
`List<MessageProcessor>` | `getMessageProcessors()`
`RouterStatistics` | `getRouterStatistics()`
`void` | `initialise()` Method used to perform any initialisation work.
`void` | `removeSource(MessageSource source)`
`void` | `setCatchAllStrategy(MessageProcessor catchAllStrategy)`
`void` | `setMessageProcessors(List<MessageProcessor> processors)`
`void` | `setMessageSources(List<MessageSource> sources)`
`void` | `setRouterStatistics(RouterStatistics statistics)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.mule.source.StartableCompositeMessageSource
`setFlowConstruct, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### processors

    protected List<MessageProcessor> processors

### statistics

    protected RouterStatistics statistics

### endpoints

    protected List<InboundEndpoint> endpoints

### catchAllStrategy

    protected MessageProcessor catchAllStrategy

Constructor Detail

### ServiceCompositeMessageSource

    public ServiceCompositeMessageSource()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### createMessageProcessorChain

    protected void createMessageProcessorChain()
                                        throws MuleException

  Throws:
    `MuleException`

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `Startable`
  Overrides:
    `start` in class `StartableCompositeMessageSource`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `Stoppable`
  Overrides:
    `stop` in class `StartableCompositeMessageSource`
  Throws:
    `MuleException`

### setMessageProcessors

    public void setMessageProcessors(List<MessageProcessor> processors)

### addMessageProcessor

    public void addMessageProcessor(MessageProcessor processor)

### addSource

    public void addSource(MessageSource source)
                   throws MuleException

  Specified by:
    `addSource` in interface `CompositeMessageSource`
  Overrides:
    `addSource` in class `StartableCompositeMessageSource`
  Throws:
    `MuleException`

### removeSource

    public void removeSource(MessageSource source)
                      throws MuleException

  Specified by:
    `removeSource` in interface `CompositeMessageSource`
  Overrides:
    `removeSource` in class `StartableCompositeMessageSource`
  Throws:
    `MuleException`

### setMessageSources

    public void setMessageSources(List<MessageSource> sources)
                           throws MuleException

  Overrides:
    `setMessageSources` in class `StartableCompositeMessageSource`
  Throws:
    `MuleException`

### getEndpoints

    public List<InboundEndpoint> getEndpoints()

### getMessageProcessors

    public List<MessageProcessor> getMessageProcessors()

### getRouterStatistics

    public RouterStatistics getRouterStatistics()

### setRouterStatistics

    public void setRouterStatistics(RouterStatistics statistics)

  Specified by:
    `setRouterStatistics` in interface `RouterStatisticsRecorder`

### getEndpoint

    public InboundEndpoint getEndpoint(String name)

  Parameters:
    `name` - the Endpoint identifier
  Returns:
    the Endpoint or `null` if the endpointUri is not registered
  See Also:
    `org.mule.api.routing.InboundRouterCollection`

### setCatchAllStrategy

    public void setCatchAllStrategy(MessageProcessor catchAllStrategy)

### getCatchAllStrategy

    public MessageProcessor getCatchAllStrategy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.